packages:
  - artifacts/*
  - lib/*
  - lib/integrations/*
  - scripts

autoInstallPeers: false

catalog:
  '@replit/vite-plugin-cartographer': ^0.5.1
  '@replit/vite-plugin-dev-banner': ^0.1.1
  '@replit/vite-plugin-runtime-error-modal': ^0.0.6
  '@tailwindcss/vite': ^4.1.14
  '@tanstack/react-query': ^5.90.21
  '@types/node': ^25.3.3
  '@types/react': ^19.2.0
  '@types/react-dom': ^19.2.0
  '@vitejs/plugin-react': ^5.0.4
  class-variance-authority: ^0.7.1
  clsx: ^2.1.1
  drizzle-orm: ^0.45.2
  framer-motion: ^12.23.24
  lucide-react: ^0.545.0
  react: 19.1.0
  react-dom: 19.1.0
  tailwind-merge: ^3.3.1
  tailwindcss: ^4.1.14
  tsx: ^4.21.0
  vite: ^7.3.2
  wouter: ^3.3.5
  zod: 3.25.76

minimumReleaseAge: 1440

minimumReleaseAgeExclude:
  - '@replit/*'
  - stripe-replit-sync

onlyBuiltDependencies:
  - '@swc/core'
  - esbuild
  - msw
  - unrs-resolver

overrides:
  '@esbuild-kit/esm-loader': npm:tsx@^4.21.0
  '@expo/ngrok-bin>@expo/ngrok-bin-darwin-arm64': '-'
  '@expo/ngrok-bin>@expo/ngrok-bin-darwin-x64': '-'
  '@expo/ngrok-bin>@expo/ngrok-bin-freebsd-ia32': '-'
  '@expo/ngrok-bin>@expo/ngrok-bin-freebsd-x64': '-'
  '@expo/ngrok-bin>@expo/ngrok-bin-linux-arm': '-'
  '@expo/ngrok-bin>@expo/ngrok-bin-linux-arm64': '-'
  '@expo/ngrok-bin>@expo/ngrok-bin-linux-ia32': '-'
  '@expo/ngrok-bin>@expo/ngrok-bin-sunos-x64': '-'
  '@expo/ngrok-bin>@expo/ngrok-bin-win32-ia32': '-'
  '@expo/ngrok-bin>@expo/ngrok-bin-win32-x64': '-'
  '@tailwindcss/oxide>@tailwindcss/oxide-android-arm64': '-'
  '@tailwindcss/oxide>@tailwindcss/oxide-darwin-arm64': '-'
  '@tailwindcss/oxide>@tailwindcss/oxide-darwin-x64': '-'
  '@tailwindcss/oxide>@tailwindcss/oxide-freebsd-x64': '-'
  '@tailwindcss/oxide>@tailwindcss/oxide-linux-arm-gnueabihf': '-'
  '@tailwindcss/oxide>@tailwindcss/oxide-linux-arm64-gnu': '-'
  '@tailwindcss/oxide>@tailwindcss/oxide-linux-arm64-musl': '-'
  '@tailwindcss/oxide>@tailwindcss/oxide-linux-x64-musl': '-'
  '@tailwindcss/oxide>@tailwindcss/oxide-win32-arm64-msvc': '-'
  '@tailwindcss/oxide>@tailwindcss/oxide-win32-x64-msvc': '-'
  esbuild: 0.27.3
  esbuild>@esbuild/aix-ppc64: '-'
  esbuild>@esbuild/android-arm: '-'
  esbuild>@esbuild/android-arm64: '-'
  esbuild>@esbuild/android-x64: '-'
  esbuild>@esbuild/darwin-arm64: '-'
  esbuild>@esbuild/darwin-x64: '-'
  esbuild>@esbuild/freebsd-arm64: '-'
  esbuild>@esbuild/freebsd-x64: '-'
  esbuild>@esbuild/linux-arm: '-'
  esbuild>@esbuild/linux-arm64: '-'
  esbuild>@esbuild/linux-ia32: '-'
  esbuild>@esbuild/linux-loong64: '-'
  esbuild>@esbuild/linux-mips64el: '-'
  esbuild>@esbuild/linux-ppc64: '-'
  esbuild>@esbuild/linux-riscv64: '-'
  esbuild>@esbuild/linux-s390x: '-'
  esbuild>@esbuild/netbsd-arm64: '-'
  esbuild>@esbuild/netbsd-x64: '-'
  esbuild>@esbuild/openbsd-arm64: '-'
  esbuild>@esbuild/openbsd-x64: '-'
  esbuild>@esbuild/openharmony-arm64: '-'
  esbuild>@esbuild/sunos-x64: '-'
  esbuild>@esbuild/win32-arm64: '-'
  esbuild>@esbuild/win32-ia32: '-'
  esbuild>@esbuild/win32-x64: '-'
  lightningcss>lightningcss-android-arm64: '-'
  lightningcss>lightningcss-darwin-arm64: '-'
  lightningcss>lightningcss-darwin-x64: '-'
  lightningcss>lightningcss-freebsd-x64: '-'
  lightningcss>lightningcss-linux-arm-gnueabihf: '-'
  lightningcss>lightningcss-linux-arm64-gnu: '-'
  lightningcss>lightningcss-linux-arm64-musl: '-'
  lightningcss>lightningcss-linux-x64-musl: '-'
  lightningcss>lightningcss-win32-arm64-msvc: '-'
  lightningcss>lightningcss-win32-x64-msvc: '-'
  rollup>@rollup/rollup-android-arm-eabi: '-'
  rollup>@rollup/rollup-android-arm64: '-'
  rollup>@rollup/rollup-darwin-arm64: '-'
  rollup>@rollup/rollup-darwin-x64: '-'
  rollup>@rollup/rollup-freebsd-arm64: '-'
  rollup>@rollup/rollup-freebsd-x64: '-'
  rollup>@rollup/rollup-linux-arm-gnueabihf: '-'
  rollup>@rollup/rollup-linux-arm-musleabihf: '-'
  rollup>@rollup/rollup-linux-arm64-gnu: '-'
  rollup>@rollup/rollup-linux-arm64-musl: '-'
  rollup>@rollup/rollup-linux-loong64-gnu: '-'
  rollup>@rollup/rollup-linux-loong64-musl: '-'
  rollup>@rollup/rollup-linux-ppc64-gnu: '-'
  rollup>@rollup/rollup-linux-ppc64-musl: '-'
  rollup>@rollup/rollup-linux-riscv64-gnu: '-'
  rollup>@rollup/rollup-linux-riscv64-musl: '-'
  rollup>@rollup/rollup-linux-s390x-gnu: '-'
  rollup>@rollup/rollup-linux-x64-musl: '-'
  rollup>@rollup/rollup-openbsd-x64: '-'
  rollup>@rollup/rollup-openharmony-arm64: '-'
  rollup>@rollup/rollup-win32-arm64-msvc: '-'
  rollup>@rollup/rollup-win32-ia32-msvc: '-'
  rollup>@rollup/rollup-win32-x64-gnu: '-'
  rollup>@rollup/rollup-win32-x64-msvc: '-'
